Cisco Small Business Router Password Disclosure Vulnerability

Cisco Small Business Router Password Disclosure Vulnerability

A vulnerability in the web management interface of the Cisco RV110W Wireless-N VPN Firewall, the Cisco RV215W Wireless-N VPN Router, and the Cisco CVR100W Wireless-N VPN Router could allow an unauthenticated, remote attacker to gain administrative-level access to the web management interface of the affected device.

The vulnerability is due to improper handling of authentication requests by the web framework. An attacker could exploit this vulnerability by intercepting, modifying and resubmitting an authentication request. Successful exploitation of this vulnerability could give an attacker administrative-level access to the web-based administration interface on the affected device.

Cisco has released free software updates that address this vulnerability.

The following products are affected by the vulnerability that is described in this advisory:

  • Cisco RV110W Wireless-N VPN Firewall running firmware versions 1.2.0.9 and prior
  • Cisco RV215W Wireless-N VPN Router running firmware versions 1.1.0.5 and prior
  • Cisco CVR100W Wireless-N VPN Router running firmware versions 1.0.1.19 and prior